Subject: bug#29150: Fwd: 26.0.90; Input decoding is sometimes skipped in TTY (xterm-mouse-mode)

From: Alex <[email-masked]>
Date: Thu, 09 Nov 2017 00:26:44 -0600

Stefan Monnier <[email-masked]> writes:

> I'm not sure why, or what it would say.  `read-key` is a reasonably good
> replacement for `read-event`, but it's still pretty brittle.
> The better solution is to not "read" anything and let the main loop do
> it for you (which is why I changed mouse-drag-track to use
> set-transient-map instead of mucking with `read-event` or `read-key`).

Assuming that no one ports evil-mode's code or updates the code in
`mouse-drag-secondary' (there's already a FIXME for this there), is
using `read-key' inside of `track-mouse' an acceptable stopgap solution?
Is it brittle enough to not apply the change to emacs-26?

> In my experience, most uses of `read-event` are (latent) bugs, so maybe
> it's in read-event's docstring that we should say something.

That sounds like a good idea.